Index: trunk/sources/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Korns/KornsFunctionEight.cs
===================================================================
--- trunk/sources/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Korns/KornsFunctionEight.cs	(revision 8224)
+++ trunk/sources/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Korns/KornsFunctionEight.cs	(revision 8225)
@@ -33,8 +33,7 @@
         + "Authors: Michael F. Korns" + Environment.NewLine
         + "Function: y = 6.87 + (11 * sqrt(7.23 * X0 * X3 * X4))" + Environment.NewLine
-        + "Real Numbers: 3.45, -.982, 100.389, and all other real constants" + Environment.NewLine
-        + "Row Features: x1, x2, x9, and all other features" + Environment.NewLine
-        + "Binary Operators: +, -, *, /" + Environment.NewLine
-        + "Unary Operators: sqrt, square, cube, cos, sin, tan, tanh, log, exp" + Environment.NewLine
+        + "Binary Operators: +, -, *, % (protected division)" + Environment.NewLine
+        + "Unary Operators: sqrt, square, cube, cos, sin, tan, tanh, ln(|x|) (protected log), exp" + Environment.NewLine
+        + "Constants: random finit 64-bit IEEE double" + Environment.NewLine
         + "\"Our testing regimen uses only statistical best practices out-of-sample testing techniques. "
         + "We test each of the test cases on matrices of 10000 rows by 1 to 5 columns with no noise. "
@@ -48,12 +47,12 @@
     protected override string[] AllowedInputVariables { get { return new string[] { "X0", "X1", "X2", "X3", "X4" }; } }
     protected override int TrainingPartitionStart { get { return 0; } }
-    protected override int TrainingPartitionEnd { get { return 5000; } }
-    protected override int TestPartitionStart { get { return 5000; } }
-    protected override int TestPartitionEnd { get { return 10000; } }
+    protected override int TrainingPartitionEnd { get { return 10000; } }
+    protected override int TestPartitionStart { get { return 10000; } }
+    protected override int TestPartitionEnd { get { return 20000; } }
 
     protected override List<List<double>> GenerateValues() {
       List<List<double>> data = new List<List<double>>();
       for (int i = 0; i < AllowedInputVariables.Count(); i++) {
-        data.Add(ValueGenerator.GenerateUniformDistributedValues(TestPartitionEnd, 0, 50).ToList());
+        data.Add(ValueGenerator.GenerateUniformDistributedValues(TestPartitionEnd, -50, 50).ToList());
       }
 
Index: trunk/sources/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Korns/KornsFunctionEleven.cs
===================================================================
--- trunk/sources/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Korns/KornsFunctionEleven.cs	(revision 8224)
+++ trunk/sources/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Korns/KornsFunctionEleven.cs	(revision 8225)
@@ -33,8 +33,7 @@
         + "Authors: Michael F. Korns" + Environment.NewLine
         + "Function: y = 6.87 + (11 * cos(7.23 * X0 * X0 * X0))" + Environment.NewLine
-        + "Real Numbers: 3.45, -.982, 100.389, and all other real constants" + Environment.NewLine
-        + "Row Features: x1, x2, x9, and all other features" + Environment.NewLine
-        + "Binary Operators: +, -, *, /" + Environment.NewLine
-        + "Unary Operators: sqrt, square, cube, cos, sin, tan, tanh, log, exp" + Environment.NewLine
+        + "Binary Operators: +, -, *, % (protected division)" + Environment.NewLine
+        + "Unary Operators: sqrt, square, cube, cos, sin, tan, tanh, ln(|x|) (protected log), exp" + Environment.NewLine
+        + "Constants: random finit 64-bit IEEE double" + Environment.NewLine
         + "\"Our testing regimen uses only statistical best practices out-of-sample testing techniques. "
         + "We test each of the test cases on matrices of 10000 rows by 1 to 5 columns with no noise. "
Index: trunk/sources/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Korns/KornsFunctionFive.cs
===================================================================
--- trunk/sources/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Korns/KornsFunctionFive.cs	(revision 8224)
+++ trunk/sources/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Korns/KornsFunctionFive.cs	(revision 8225)
@@ -33,8 +33,7 @@
         + "Authors: Michael F. Korns" + Environment.NewLine
         + "Function: y = 3.0 + (2.13 * log(X4))" + Environment.NewLine
-        + "Real Numbers: 3.45, -.982, 100.389, and all other real constants" + Environment.NewLine
-        + "Row Features: x1, x2, x9, and all other features" + Environment.NewLine
-        + "Binary Operators: +, -, *, /" + Environment.NewLine
-        + "Unary Operators: sqrt, square, cube, cos, sin, tan, tanh, log, exp" + Environment.NewLine
+        + "Binary Operators: +, -, *, % (protected division)" + Environment.NewLine
+        + "Unary Operators: sqrt, square, cube, cos, sin, tan, tanh, ln(|x|) (protected log), exp" + Environment.NewLine
+        + "Constants: random finit 64-bit IEEE double" + Environment.NewLine
         + "\"Our testing regimen uses only statistical best practices out-of-sample testing techniques. "
         + "We test each of the test cases on matrices of 10000 rows by 1 to 5 columns with no noise. "
@@ -48,12 +47,12 @@
     protected override string[] AllowedInputVariables { get { return new string[] { "X0", "X1", "X2", "X3", "X4" }; } }
     protected override int TrainingPartitionStart { get { return 0; } }
-    protected override int TrainingPartitionEnd { get { return 5000; } }
-    protected override int TestPartitionStart { get { return 5000; } }
-    protected override int TestPartitionEnd { get { return 10000; } }
+    protected override int TrainingPartitionEnd { get { return 10000; } }
+    protected override int TestPartitionStart { get { return 10000; } }
+    protected override int TestPartitionEnd { get { return 20000; } }
 
     protected override List<List<double>> GenerateValues() {
       List<List<double>> data = new List<List<double>>();
       for (int i = 0; i < AllowedInputVariables.Count(); i++) {
-        data.Add(ValueGenerator.GenerateUniformDistributedValues(TestPartitionEnd, 0, 50).ToList());
+        data.Add(ValueGenerator.GenerateUniformDistributedValues(TestPartitionEnd, -50, 50).ToList());
       }
 
Index: trunk/sources/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Korns/KornsFunctionFiveteen.cs
===================================================================
--- trunk/sources/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Korns/KornsFunctionFiveteen.cs	(revision 8224)
+++ trunk/sources/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Korns/KornsFunctionFiveteen.cs	(revision 8225)
@@ -27,14 +27,13 @@
   public class KornsFunctionFiveteen : ArtificialRegressionDataDescriptor {
 
-    public override string Name { get { return "Korns 15 y = 12.0 - (6.0 * ((tan(X0) / exp(X1)) * (log(X2) - tan(X3))))"; } }
+    public override string Name { get { return "Korns 15 y = 12.0 - (6.0 * ((tan(X0) / exp(X1)) * (ln(X2) - tan(X3))))"; } }
     public override string Description {
       get {
         return "Paper: Accuracy in Symbolic Regression" + Environment.NewLine
         + "Authors: Michael F. Korns" + Environment.NewLine
-        + "Function: y = 12.0 - (6.0 * ((tan(X0) / exp(X1)) * (log(X2) - tan(X3))))" + Environment.NewLine
-        + "Real Numbers: 3.45, -.982, 100.389, and all other real constants" + Environment.NewLine
-        + "Row Features: x1, x2, x9, and all other features" + Environment.NewLine
-        + "Binary Operators: +, -, *, /" + Environment.NewLine
-        + "Unary Operators: sqrt, square, cube, cos, sin, tan, tanh, log, exp" + Environment.NewLine
+        + "Function: y = 12.0 - (6.0 * ((tan(X0) / exp(X1)) * (ln(X2) - tan(X3))))" + Environment.NewLine
+        + "Binary Operators: +, -, *, % (protected division)" + Environment.NewLine
+        + "Unary Operators: sqrt, square, cube, cos, sin, tan, tanh, ln(|x|) (protected log), exp" + Environment.NewLine
+        + "Constants: random finit 64-bit IEEE double" + Environment.NewLine
         + "\"Our testing regimen uses only statistical best practices out-of-sample testing techniques. "
         + "We test each of the test cases on matrices of 10000 rows by 1 to 5 columns with no noise. "
@@ -48,7 +47,7 @@
     protected override string[] AllowedInputVariables { get { return new string[] { "X0", "X1", "X2", "X3", "X4" }; } }
     protected override int TrainingPartitionStart { get { return 0; } }
-    protected override int TrainingPartitionEnd { get { return 5000; } }
-    protected override int TestPartitionStart { get { return 5000; } }
-    protected override int TestPartitionEnd { get { return 10000; } }
+    protected override int TrainingPartitionEnd { get { return 10000; } }
+    protected override int TestPartitionStart { get { return 10000; } }
+    protected override int TestPartitionEnd { get { return 20000; } }
 
     protected override List<List<double>> GenerateValues() {
Index: trunk/sources/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Korns/KornsFunctionFour.cs
===================================================================
--- trunk/sources/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Korns/KornsFunctionFour.cs	(revision 8224)
+++ trunk/sources/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Korns/KornsFunctionFour.cs	(revision 8225)
@@ -33,8 +33,7 @@
         + "Authors: Michael F. Korns" + Environment.NewLine
         + "Function: y = -2.3 + (0.13 * sin(X2))" + Environment.NewLine
-        + "Real Numbers: 3.45, -.982, 100.389, and all other real constants" + Environment.NewLine
-        + "Row Features: x1, x2, x9, and all other features" + Environment.NewLine
-        + "Binary Operators: +, -, *, /" + Environment.NewLine
-        + "Unary Operators: sqrt, square, cube, cos, sin, tan, tanh, log, exp" + Environment.NewLine
+        + "Binary Operators: +, -, *, % (protected division)" + Environment.NewLine
+        + "Unary Operators: sqrt, square, cube, cos, sin, tan, tanh, ln(|x|) (protected log), exp" + Environment.NewLine
+        + "Constants: random finit 64-bit IEEE double" + Environment.NewLine
         + "\"Our testing regimen uses only statistical best practices out-of-sample testing techniques. "
         + "We test each of the test cases on matrices of 10000 rows by 1 to 5 columns with no noise. "
@@ -47,7 +46,8 @@
     protected override string[] AllowedInputVariables { get { return new string[] { "X0", "X1", "X2", "X3", "X4" }; } }
     protected override int TrainingPartitionStart { get { return 0; } }
-    protected override int TrainingPartitionEnd { get { return 5000; } }
-    protected override int TestPartitionStart { get { return 5000; } }
-    protected override int TestPartitionEnd { get { return 10000; } }
+    protected override int TrainingPartitionEnd { get { return 10000; } }
+    protected override int TestPartitionStart { get { return 10000; } }
+    protected override int TestPartitionEnd { get { return 20000; } }
+
 
     protected override List<List<double>> GenerateValues() {
Index: trunk/sources/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Korns/KornsFunctionFourteen.cs
===================================================================
--- trunk/sources/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Korns/KornsFunctionFourteen.cs	(revision 8224)
+++ trunk/sources/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Korns/KornsFunctionFourteen.cs	(revision 8225)
@@ -33,8 +33,7 @@
         + "Authors: Michael F. Korns" + Environment.NewLine
         + "Function: y = 22.0 + (4.2 * ((cos(X0) - tan(X1)) * (tanh(X2) / sin(X3))))" + Environment.NewLine
-        + "Real Numbers: 3.45, -.982, 100.389, and all other real constants" + Environment.NewLine
-        + "Row Features: x1, x2, x9, and all other features" + Environment.NewLine
-        + "Binary Operators: +, -, *, /" + Environment.NewLine
-        + "Unary Operators: sqrt, square, cube, cos, sin, tan, tanh, log, exp" + Environment.NewLine
+        + "Binary Operators: +, -, *, % (protected division)" + Environment.NewLine
+        + "Unary Operators: sqrt, square, cube, cos, sin, tan, tanh, ln(|x|) (protected log), exp" + Environment.NewLine
+        + "Constants: random finit 64-bit IEEE double" + Environment.NewLine
         + "\"Our testing regimen uses only statistical best practices out-of-sample testing techniques. "
         + "We test each of the test cases on matrices of 10000 rows by 1 to 5 columns with no noise. "
@@ -47,7 +46,7 @@
     protected override string[] AllowedInputVariables { get { return new string[] { "X0", "X1", "X2", "X3", "X4" }; } }
     protected override int TrainingPartitionStart { get { return 0; } }
-    protected override int TrainingPartitionEnd { get { return 5000; } }
-    protected override int TestPartitionStart { get { return 5000; } }
-    protected override int TestPartitionEnd { get { return 10000; } }
+    protected override int TrainingPartitionEnd { get { return 10000; } }
+    protected override int TestPartitionStart { get { return 10000; } }
+    protected override int TestPartitionEnd { get { return 20000; } }
 
     protected override List<List<double>> GenerateValues() {
Index: trunk/sources/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Korns/KornsFunctionNine.cs
===================================================================
--- trunk/sources/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Korns/KornsFunctionNine.cs	(revision 8224)
+++ trunk/sources/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Korns/KornsFunctionNine.cs	(revision 8225)
@@ -27,14 +27,13 @@
   public class KornsFunctionNine : ArtificialRegressionDataDescriptor {
 
-    public override string Name { get { return "Korns 9 y = ((sqrt(X0) / log(X1)) * (exp(X2) / square(X3)))"; } }
+    public override string Name { get { return "Korns 9 y = ((sqrt(X0) / log(X1)) * (exp(X2) / X3²)"; } }
     public override string Description {
       get {
         return "Paper: Accuracy in Symbolic Regression" + Environment.NewLine
         + "Authors: Michael F. Korns" + Environment.NewLine
-        + "Function: y = ((sqrt(X0) / log(X1)) * (exp(X2) / square(X3)))" + Environment.NewLine
-        + "Real Numbers: 3.45, -.982, 100.389, and all other real constants" + Environment.NewLine
-        + "Row Features: x1, x2, x9, and all other features" + Environment.NewLine
-        + "Binary Operators: +, -, *, /" + Environment.NewLine
-        + "Unary Operators: sqrt, square, cube, cos, sin, tan, tanh, log, exp" + Environment.NewLine
+        + "Function: y = (sqrt(X0) / log(X1)) * (exp(X2) / X3²)" + Environment.NewLine
+        + "Binary Operators: +, -, *, % (protected division)" + Environment.NewLine
+        + "Unary Operators: sqrt, square, cube, cos, sin, tan, tanh, ln(|x|) (protected log), exp" + Environment.NewLine
+        + "Constants: random finit 64-bit IEEE double" + Environment.NewLine
         + "\"Our testing regimen uses only statistical best practices out-of-sample testing techniques. "
         + "We test each of the test cases on matrices of 10000 rows by 1 to 5 columns with no noise. "
@@ -48,12 +47,12 @@
     protected override string[] AllowedInputVariables { get { return new string[] { "X0", "X1", "X2", "X3", "X4" }; } }
     protected override int TrainingPartitionStart { get { return 0; } }
-    protected override int TrainingPartitionEnd { get { return 5000; } }
-    protected override int TestPartitionStart { get { return 5000; } }
-    protected override int TestPartitionEnd { get { return 10000; } }
+    protected override int TrainingPartitionEnd { get { return 10000; } }
+    protected override int TestPartitionStart { get { return 10000; } }
+    protected override int TestPartitionEnd { get { return 20000; } }
 
     protected override List<List<double>> GenerateValues() {
       List<List<double>> data = new List<List<double>>();
       for (int i = 0; i < AllowedInputVariables.Count(); i++) {
-        data.Add(ValueGenerator.GenerateUniformDistributedValues(TestPartitionEnd, 0, 50).ToList());
+        data.Add(ValueGenerator.GenerateUniformDistributedValues(TestPartitionEnd, -50, 50).ToList());
       }
 
Index: trunk/sources/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Korns/KornsFunctionOne.cs
===================================================================
--- trunk/sources/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Korns/KornsFunctionOne.cs	(revision 8224)
+++ trunk/sources/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Korns/KornsFunctionOne.cs	(revision 8225)
@@ -33,8 +33,8 @@
         + "Authors: Michael F. Korns" + Environment.NewLine
         + "Function: y = 1.57 + (24.3 * X3)" + Environment.NewLine
-        + "Real Numbers: 3.45, -.982, 100.389, and all other real constants" + Environment.NewLine
         + "Row Features: x1, x2, x9, and all other features" + Environment.NewLine
-        + "Binary Operators: +, -, *, /" + Environment.NewLine
-        + "Unary Operators: sqrt, square, cube, cos, sin, tan, tanh, log, exp" + Environment.NewLine
+        + "Binary Operators: +, -, *, % (protected division)" + Environment.NewLine
+        + "Unary Operators: sqrt, square, cube, cos, sin, tan, tanh, ln(|x|) (protected log), exp" + Environment.NewLine
+        + "Constants: random finit 64-bit IEEE double" + Environment.NewLine
         + "\"Our testing regimen uses only statistical best practices out-of-sample testing techniques. "
         + "We test each of the test cases on matrices of 10000 rows by 1 to 5 columns with no noise. "
@@ -47,7 +47,7 @@
     protected override string[] AllowedInputVariables { get { return new string[] { "X0", "X1", "X2", "X3", "X4" }; } }
     protected override int TrainingPartitionStart { get { return 0; } }
-    protected override int TrainingPartitionEnd { get { return 5000; } }
-    protected override int TestPartitionStart { get { return 5000; } }
-    protected override int TestPartitionEnd { get { return 10000; } }
+    protected override int TrainingPartitionEnd { get { return 10000; } }
+    protected override int TestPartitionStart { get { return 10000; } }
+    protected override int TestPartitionEnd { get { return 20000; } }
 
     protected override List<List<double>> GenerateValues() {
Index: trunk/sources/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Korns/KornsFunctionSeven.cs
===================================================================
--- trunk/sources/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Korns/KornsFunctionSeven.cs	(revision 8224)
+++ trunk/sources/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Korns/KornsFunctionSeven.cs	(revision 8225)
@@ -33,8 +33,7 @@
         + "Authors: Michael F. Korns" + Environment.NewLine
         + "Function: y = 213.80940889 - (213.80940889 * exp(-0.54723748542 * X0))" + Environment.NewLine
-        + "Real Numbers: 3.45, -.982, 100.389, and all other real constants" + Environment.NewLine
-        + "Row Features: x1, x2, x9, and all other features" + Environment.NewLine
-        + "Binary Operators: +, -, *, /" + Environment.NewLine
-        + "Unary Operators: sqrt, square, cube, cos, sin, tan, tanh, log, exp" + Environment.NewLine
+        + "Binary Operators: +, -, *, % (protected division)" + Environment.NewLine
+        + "Unary Operators: sqrt, square, cube, cos, sin, tan, tanh, ln(|x|) (protected log), exp" + Environment.NewLine
+        + "Constants: random finit 64-bit IEEE double" + Environment.NewLine
         + "\"Our testing regimen uses only statistical best practices out-of-sample testing techniques. "
         + "We test each of the test cases on matrices of 10000 rows by 1 to 5 columns with no noise. "
@@ -47,7 +46,7 @@
     protected override string[] AllowedInputVariables { get { return new string[] { "X0", "X1", "X2", "X3", "X4" }; } }
     protected override int TrainingPartitionStart { get { return 0; } }
-    protected override int TrainingPartitionEnd { get { return 5000; } }
-    protected override int TestPartitionStart { get { return 5000; } }
-    protected override int TestPartitionEnd { get { return 10000; } }
+    protected override int TrainingPartitionEnd { get { return 10000; } }
+    protected override int TestPartitionStart { get { return 10000; } }
+    protected override int TestPartitionEnd { get { return 20000; } }
 
     protected override List<List<double>> GenerateValues() {
Index: trunk/sources/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Korns/KornsFunctionSix.cs
===================================================================
--- trunk/sources/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Korns/KornsFunctionSix.cs	(revision 8224)
+++ trunk/sources/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Korns/KornsFunctionSix.cs	(revision 8225)
@@ -33,8 +33,7 @@
         + "Authors: Michael F. Korns" + Environment.NewLine
         + "Function: y = 1.3 + (0.13 * sqrt(X0))" + Environment.NewLine
-        + "Real Numbers: 3.45, -.982, 100.389, and all other real constants" + Environment.NewLine
-        + "Row Features: x1, x2, x9, and all other features" + Environment.NewLine
-        + "Binary Operators: +, -, *, /" + Environment.NewLine
-        + "Unary Operators: sqrt, square, cube, cos, sin, tan, tanh, log, exp" + Environment.NewLine
+        + "Binary Operators: +, -, *, % (protected division)" + Environment.NewLine
+        + "Unary Operators: sqrt, square, cube, cos, sin, tan, tanh, ln(|x|) (protected log), exp" + Environment.NewLine
+        + "Constants: random finit 64-bit IEEE double" + Environment.NewLine
         + "\"Our testing regimen uses only statistical best practices out-of-sample testing techniques. "
         + "We test each of the test cases on matrices of 10000 rows by 1 to 5 columns with no noise. "
@@ -48,12 +47,12 @@
     protected override string[] AllowedInputVariables { get { return new string[] { "X0", "X1", "X2", "X3", "X4" }; } }
     protected override int TrainingPartitionStart { get { return 0; } }
-    protected override int TrainingPartitionEnd { get { return 5000; } }
-    protected override int TestPartitionStart { get { return 5000; } }
-    protected override int TestPartitionEnd { get { return 10000; } }
+    protected override int TrainingPartitionEnd { get { return 10000; } }
+    protected override int TestPartitionStart { get { return 10000; } }
+    protected override int TestPartitionEnd { get { return 20000; } }
 
     protected override List<List<double>> GenerateValues() {
       List<List<double>> data = new List<List<double>>();
       for (int i = 0; i < AllowedInputVariables.Count(); i++) {
-        data.Add(ValueGenerator.GenerateUniformDistributedValues(TestPartitionEnd, 0, 50).ToList());
+        data.Add(ValueGenerator.GenerateUniformDistributedValues(TestPartitionEnd, -50, 50).ToList());
       }
 
Index: trunk/sources/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Korns/KornsFunctionTen.cs
===================================================================
--- trunk/sources/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Korns/KornsFunctionTen.cs	(revision 8224)
+++ trunk/sources/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Korns/KornsFunctionTen.cs	(revision 8225)
@@ -27,14 +27,13 @@
   public class KornsFunctionTen : ArtificialRegressionDataDescriptor {
 
-    public override string Name { get { return "Korns 10 y = 0.81 + (24.3 * (((2.0 * X1) + (3.0 * square(X2))) / ((4.0 * cube(X3)) + (5.0 * quart(X4)))))"; } }
+    public override string Name { get { return "Korns 10 y = 0.81 + (24.3 * (((2.0 * X1) + (3.0 * X2²)) / ((4.0 * X3³) + (5.0 * X4^4))))"; } }
     public override string Description {
       get {
         return "Paper: Accuracy in Symbolic Regression" + Environment.NewLine
         + "Authors: Michael F. Korns" + Environment.NewLine
-        + "Function: y = 0.81 + (24.3 * (((2.0 * X1) + (3.0 * square(X2))) / ((4.0 * cube(X3)) + (5.0 * quart(X4)))))" + Environment.NewLine
-        + "Real Numbers: 3.45, -.982, 100.389, and all other real constants" + Environment.NewLine
-        + "Row Features: x1, x2, x9, and all other features" + Environment.NewLine
-        + "Binary Operators: +, -, *, /" + Environment.NewLine
-        + "Unary Operators: sqrt, square, cube, cos, sin, tan, tanh, log, exp" + Environment.NewLine
+        + "Function: y =  0.81 + (24.3 * (((2.0 * X1) + (3.0 * X2²)) / ((4.0 * X3³) + (5.0 * X4^4))))" + Environment.NewLine
+        + "Binary Operators: +, -, *, % (protected division)" + Environment.NewLine
+        + "Unary Operators: sqrt, square, cube, cos, sin, tan, tanh, ln(|x|) (protected log), exp" + Environment.NewLine
+        + "Constants: random finit 64-bit IEEE double" + Environment.NewLine
         + "\"Our testing regimen uses only statistical best practices out-of-sample testing techniques. "
         + "We test each of the test cases on matrices of 10000 rows by 1 to 5 columns with no noise. "
@@ -47,7 +46,7 @@
     protected override string[] AllowedInputVariables { get { return new string[] { "X0", "X1", "X2", "X3", "X4" }; } }
     protected override int TrainingPartitionStart { get { return 0; } }
-    protected override int TrainingPartitionEnd { get { return 5000; } }
-    protected override int TestPartitionStart { get { return 5000; } }
-    protected override int TestPartitionEnd { get { return 10000; } }
+    protected override int TrainingPartitionEnd { get { return 10000; } }
+    protected override int TestPartitionStart { get { return 10000; } }
+    protected override int TestPartitionEnd { get { return 20000; } }
 
     protected override List<List<double>> GenerateValues() {
Index: trunk/sources/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Korns/KornsFunctionThirteen.cs
===================================================================
--- trunk/sources/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Korns/KornsFunctionThirteen.cs	(revision 8224)
+++ trunk/sources/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Korns/KornsFunctionThirteen.cs	(revision 8225)
@@ -33,8 +33,7 @@
         + "Authors: Michael F. Korns" + Environment.NewLine
         + "Function: y = 32.0 - (3.0 * ((tan(X0) / tan(X1)) * (tan(X2) / tan(X3))))" + Environment.NewLine
-        + "Real Numbers: 3.45, -.982, 100.389, and all other real constants" + Environment.NewLine
-        + "Row Features: x1, x2, x9, and all other features" + Environment.NewLine
-        + "Binary Operators: +, -, *, /" + Environment.NewLine
-        + "Unary Operators: sqrt, square, cube, cos, sin, tan, tanh, log, exp" + Environment.NewLine
+        + "Binary Operators: +, -, *, % (protected division)" + Environment.NewLine
+        + "Unary Operators: sqrt, square, cube, cos, sin, tan, tanh, ln(|x|) (protected log), exp" + Environment.NewLine
+        + "Constants: random finit 64-bit IEEE double" + Environment.NewLine
         + "\"Our testing regimen uses only statistical best practices out-of-sample testing techniques. "
         + "We test each of the test cases on matrices of 10000 rows by 1 to 5 columns with no noise. "
@@ -47,7 +46,7 @@
     protected override string[] AllowedInputVariables { get { return new string[] { "X0", "X1", "X2", "X3", "X4" }; } }
     protected override int TrainingPartitionStart { get { return 0; } }
-    protected override int TrainingPartitionEnd { get { return 5000; } }
-    protected override int TestPartitionStart { get { return 5000; } }
-    protected override int TestPartitionEnd { get { return 10000; } }
+    protected override int TrainingPartitionEnd { get { return 10000; } }
+    protected override int TestPartitionStart { get { return 10000; } }
+    protected override int TestPartitionEnd { get { return 20000; } }
 
     protected override List<List<double>> GenerateValues() {
Index: trunk/sources/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Korns/KornsFunctionThree.cs
===================================================================
--- trunk/sources/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Korns/KornsFunctionThree.cs	(revision 8224)
+++ trunk/sources/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Korns/KornsFunctionThree.cs	(revision 8225)
@@ -33,8 +33,7 @@
         + "Authors: Michael F. Korns" + Environment.NewLine
         + "Function: y = 1.57 + (24.3 * X3)" + Environment.NewLine
-        + "Real Numbers: 3.45, -.982, 100.389, and all other real constants" + Environment.NewLine
-        + "Row Features: x1, x2, x9, and all other features" + Environment.NewLine
-        + "Binary Operators: +, -, *, /" + Environment.NewLine
-        + "Unary Operators: sqrt, square, cube, cos, sin, tan, tanh, log, exp" + Environment.NewLine
+        + "Binary Operators: +, -, *, % (protected division)" + Environment.NewLine
+        + "Unary Operators: sqrt, square, cube, cos, sin, tan, tanh, ln(|x|) (protected log), exp" + Environment.NewLine
+        + "Constants: random finit 64-bit IEEE double" + Environment.NewLine
         + "\"Our testing regimen uses only statistical best practices out-of-sample testing techniques. "
         + "We test each of the test cases on matrices of 10000 rows by 1 to 5 columns with no noise. "
@@ -47,7 +46,7 @@
     protected override string[] AllowedInputVariables { get { return new string[] { "X0", "X1", "X2", "X3", "X4" }; } }
     protected override int TrainingPartitionStart { get { return 0; } }
-    protected override int TrainingPartitionEnd { get { return 5000; } }
-    protected override int TestPartitionStart { get { return 5000; } }
-    protected override int TestPartitionEnd { get { return 10000; } }
+    protected override int TrainingPartitionEnd { get { return 10000; } }
+    protected override int TestPartitionStart { get { return 10000; } }
+    protected override int TestPartitionEnd { get { return 20000; } }
 
     protected override List<List<double>> GenerateValues() {
Index: trunk/sources/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Korns/KornsFunctionTwelve.cs
===================================================================
--- trunk/sources/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Korns/KornsFunctionTwelve.cs	(revision 8224)
+++ trunk/sources/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Korns/KornsFunctionTwelve.cs	(revision 8225)
@@ -33,8 +33,7 @@
         + "Authors: Michael F. Korns" + Environment.NewLine
         + "Function: y = 2.0 - (2.1 * (cos(9.8 * X0) * sin(1.3 * X4)))" + Environment.NewLine
-        + "Real Numbers: 3.45, -.982, 100.389, and all other real constants" + Environment.NewLine
-        + "Row Features: x1, x2, x9, and all other features" + Environment.NewLine
-        + "Binary Operators: +, -, *, /" + Environment.NewLine
-        + "Unary Operators: sqrt, square, cube, cos, sin, tan, tanh, log, exp" + Environment.NewLine
+        + "Binary Operators: +, -, *, % (protected division)" + Environment.NewLine
+        + "Unary Operators: sqrt, square, cube, cos, sin, tan, tanh, ln(|x|) (protected log), exp" + Environment.NewLine
+        + "Constants: random finit 64-bit IEEE double" + Environment.NewLine
         + "\"Our testing regimen uses only statistical best practices out-of-sample testing techniques. "
         + "We test each of the test cases on matrices of 10000 rows by 1 to 5 columns with no noise. "
@@ -47,7 +46,7 @@
     protected override string[] AllowedInputVariables { get { return new string[] { "X0", "X1", "X2", "X3", "X4" }; } }
     protected override int TrainingPartitionStart { get { return 0; } }
-    protected override int TrainingPartitionEnd { get { return 5000; } }
-    protected override int TestPartitionStart { get { return 5000; } }
-    protected override int TestPartitionEnd { get { return 10000; } }
+    protected override int TrainingPartitionEnd { get { return 10000; } }
+    protected override int TestPartitionStart { get { return 10000; } }
+    protected override int TestPartitionEnd { get { return 20000; } }
 
     protected override List<List<double>> GenerateValues() {
Index: trunk/sources/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Korns/KornsFunctionTwo.cs
===================================================================
--- trunk/sources/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Korns/KornsFunctionTwo.cs	(revision 8224)
+++ trunk/sources/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Korns/KornsFunctionTwo.cs	(revision 8225)
@@ -33,8 +33,7 @@
         + "Authors: Michael F. Korns" + Environment.NewLine
         + "Function: y = 0.23 + (14.2 * ((X3 + X1) / (3.0 * X4)))" + Environment.NewLine
-        + "Real Numbers: 3.45, -.982, 100.389, and all other real constants" + Environment.NewLine
-        + "Row Features: x1, x2, x9, and all other features" + Environment.NewLine
-        + "Binary Operators: +, -, *, /" + Environment.NewLine
-        + "Unary Operators: sqrt, square, cube, cos, sin, tan, tanh, log, exp" + Environment.NewLine
+        + "Binary Operators: +, -, *, % (protected division)" + Environment.NewLine
+        + "Unary Operators: sqrt, square, cube, cos, sin, tan, tanh, ln(|x|) (protected log), exp" + Environment.NewLine
+        + "Constants: random finit 64-bit IEEE double" + Environment.NewLine
         + "\"Our testing regimen uses only statistical best practices out-of-sample testing techniques. "
         + "We test each of the test cases on matrices of 10000 rows by 1 to 5 columns with no noise. "
@@ -47,7 +46,7 @@
     protected override string[] AllowedInputVariables { get { return new string[] { "X0", "X1", "X2", "X3", "X4" }; } }
     protected override int TrainingPartitionStart { get { return 0; } }
-    protected override int TrainingPartitionEnd { get { return 5000; } }
-    protected override int TestPartitionStart { get { return 5000; } }
-    protected override int TestPartitionEnd { get { return 10000; } }
+    protected override int TrainingPartitionEnd { get { return 10000; } }
+    protected override int TestPartitionStart { get { return 10000; } }
+    protected override int TestPartitionEnd { get { return 20000; } }
 
     protected override List<List<double>> GenerateValues() {
Index: trunk/sources/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Various/SpatialCoevolution.cs
===================================================================
--- trunk/sources/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Various/SpatialCoevolution.cs	(revision 8224)
+++ trunk/sources/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Various/SpatialCoevolution.cs	(revision 8225)
@@ -27,16 +27,17 @@
   public class SpatialCoevolution : ArtificialRegressionDataDescriptor {
 
-    public override string Name { get { return "Spatial co-evolution F(x,y) = 1/(1+power(x,-4)) + 1/(1+pow(y,-4))"; } }
+    public override string Name { get { return "Spatial co-evolution F(x,y) = 1/(1 + x^(-4)) + 1/(1 + y^(-4))"; } }
     public override string Description {
       get {
         return "Paper: Evolutionary consequences of coevolving targets" + Environment.NewLine
         + "Authors: Ludo Pagie and Paulien Hogeweg" + Environment.NewLine
-        + "Function: F(x,y) = 1/(1+power(x,-4)) + 1/(1+pow(y,-4))" + Environment.NewLine
-        + "Terminal set: x, y" + Environment.NewLine
+        + "Function: F(x,y) = 1/(1 + x^(-4)) + 1/(1 + y^(-4))" + Environment.NewLine
+        + "Non-terminals: +, -, *, % (protected division), sin, cos, exp, ln(|x|) (protected log)" + Environment.NewLine
+        + "Terminals: only variables (no random constants)" + Environment.NewLine
         + "The fitness of a solution is defined as the mean of the absolute differences between "
         + "the target function and the solution over all problems on the basis of which it is evaluated. "
         + "A solution is considered completely ’correct’ if, for all 676 problems in the ’complete’ "
         + "problem set used in the static evaluation scheme, the absolute difference between "
-        + "solution and target function is less than 0:01 (this is a so-called hit).";
+        + "solution and target function is less than 0.01 (this is a so-called hit).";
       }
     }
@@ -45,6 +46,6 @@
     protected override string[] AllowedInputVariables { get { return new string[] { "X", "Y" }; } }
     protected override int TrainingPartitionStart { get { return 0; } }
-    protected override int TrainingPartitionEnd { get { return 1000; } }
-    protected override int TestPartitionStart { get { return 1000; } }
+    protected override int TrainingPartitionEnd { get { return 676; } }
+    protected override int TestPartitionStart { get { return 676; } }
     protected override int TestPartitionEnd { get { return 1676; } }
 
@@ -52,11 +53,11 @@
       List<List<double>> data = new List<List<double>>();
 
-      List<double> oneVariableTestData = ValueGenerator.GenerateSteps(-5, 5, 0.4).ToList();
-      List<List<double>> testData = new List<List<double>>() { oneVariableTestData, oneVariableTestData };
-      var combinations = ValueGenerator.GenerateAllCombinationsOfValuesInLists(testData).ToList<IEnumerable<double>>();
+      List<double> evenlySpacedSequence = ValueGenerator.GenerateSteps(-5, 5, 0.4).ToList();
+      List<List<double>> trainingData = new List<List<double>>() { evenlySpacedSequence, evenlySpacedSequence };
+      var combinations = ValueGenerator.GenerateAllCombinationsOfValuesInLists(trainingData).ToList();
 
       for (int i = 0; i < AllowedInputVariables.Count(); i++) {
-        data.Add(ValueGenerator.GenerateUniformDistributedValues(1000, -5, 5).ToList());
-        data[i].AddRange(combinations[i]);
+        data.Add(combinations[i].ToList());
+        data[i].AddRange(ValueGenerator.GenerateUniformDistributedValues(1000, -5, 5).ToList());
       }
 
